Subject: bug#26558: Opening URLs with xdg-open fails (eg. Gajim, Pumpa)

From: Arun Isaac <[email-masked]>
Date: Thu, 20 Apr 2017 00:35:47 +0530

Thank you for the bug reports!

The Guix xdg-utils package is in need of an update. The latest release
is 1.1.1. Unlike the 1.0.2 release currently in Guix, the new release
has test cases, many of which currently fail in Guix. While trying to
get the tests to pass, I noticed that /usr/bin/file is hardcoded into
xdg-mime. That, I think, is at least part of the problem. I am working
on this, and will hopefully be done this weekend. We will revisit these
bugs after that.